cordova.define("com.qinsilk.IM.qinsilkIM-Plugin", function(require, exports, module) {
/**
 * 秦丝IM插件
 * @author beckson
 */
var exec = require('cordova/exec');

var qinsilkIM = {
    openServiceIM: function (fnSuccess, fnError, taobaoAppKey, userId, password, customServiceId) {
        exec(fnSuccess, fnError, "QinsilkIM", "openServiceIM", [taobaoAppKey, userId, password, customServiceId]);
    },
    initIM: function (fnSuccess, fnError, taobaoAppKey) {
        exec(fnSuccess, fnError, "QinsilkIM", "initIM", [taobaoAppKey]);
    },
    loginIM: function (fnSuccess, fnError, taobaoAppKey, userId, password) {
        exec(fnSuccess, fnError, "QinsilkIM", "loginIM", [taobaoAppKey, userId, password]);
    },
    getUnreadCount: function (fnSuccess, fnError, taobaoAppKey, userId) {
        exec(fnSuccess, fnError, "QinsilkIM", "getUnreadCount", [taobaoAppKey, userId]);
    },
    logoutIM: function (fnSuccess, fnError, taobaoAppKey, userId) {
        exec(fnSuccess, fnError, "QinsilkIM", "logoutIM", [taobaoAppKey, userId]);
    }
};

module.exports = qinsilkIM;

});
